<?php
/**
 * @package		Ejoshop Categories Module
 * @subpackage	modEjoshopCategoriesHelper
 * @copyright	Copyright (C) 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

class modEjoshopCategoriesHelper
{
	var $items;
	
	public function getItemsCart($module_params)
	{
		// settings
		$id = $module_params->get('id', 0);
		
		$show_cost	= $module_params->get('show_cost', 0);
		$params		= JComponentHelper::getParams('com_ejoshop');
		
		$db = JFactory::getDBO();
		$option   = JRequest::getCmd('option');
		$view   = JRequest::getCmd('view');
		$temp   = JRequest::getString('id');
		$items = new stdClass();
		$items->title = '';

		JLoader::register('EjoshopModel', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'models'.DS.'model.php');

		require_once( JPATH_SITE.DS.'components'.DS.'com_ejoshop'.DS.'models'.DS.'detail.php');
	
		
		if (! class_exists('EjoshopLoader')) {
			require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'libraries'.DS.'loader.php');
		}
		ejoshopimport('ejoshop.render.rendercurrency');
		
		EjoshopModel::addIncludePath(JPATH_SITE.DS.'components'.DS.'com_ejoshop'.DS.'models');
		$model = EjoshopModel::getInstance('Categories', 'EjoshopModel');
		$parent		= $model->getParent();
		
	    $items = $model->getItems();
		$items = array($parent->id => $items);
		EjoshopDeveloper::debugPrint($items);	
		return $items; 
	}
	
	function getPhotooutput($item) {

		$uri = $item->uri;
		$path = JURI::root(false).$uri;
		$path_parts = pathinfo($path.$item->filename);
		$thumb_s = $path_parts['filename'].'_s.'.$path_parts['extension'];
		$op = $item->sizethumb;
		
		$newfileimgsrc = $path.'_s.png';
	
		if(!empty($op)) {
		
			$thumb = $path.$op;
		} else {
			$thumb = $path.$thumb_s;
		}
		
		$imgsrc = $path.$item->filename;
		/* detail photo */
		if(is_file(JPATH_ROOT.DS.$uri.$op)) {
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
		/* thumb photo */	
		} else if(is_file(JPATH_ROOT.DS.$uri.$thumb_s)) { 
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
		/* no photo */	
		} else {
			$item->photooutput = '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
		}
		
		return $item;
	}
}
