<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_random_image
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';


$document = JFactory::getDocument();

if (!JComponentHelper::isEnabled('com_ejoshop', true)) {

	echo JText::_('COM_EJOSHOP_IS_NOT_ENABLED');
	return;		
}

		// settings
		$id = $params->get('id', 0);
		
		$show_cost	= $params->get('show_cost', 0);
		//$params		= JComponentHelper::getParams('com_ejoshop');


		$items = new stdClass();
		$items->title = '';

		JLoader::register('EjoshopModel', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'models'.DS.'model.php');

	
		if (! class_exists('EjoshopLoader')) {
			require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'libraries'.DS.'loader.php');
		}
		require_once( JPATH_SITE.DS.'components'.DS.'com_ejoshop'.DS.'helpers'.DS.'route.php');
		
		
		EjoshopModel::addIncludePath(JPATH_SITE.DS.'components'.DS.'com_ejoshop'.DS.'models');
		$model = EjoshopModel::getInstance('Categories', 'EjoshopModel');
		$parent		= $model->getParent();
		
	    $items = $model->getItems();
		$items = array($parent->id => $items);
		//EjoshopDeveloper::debugPrint($items);	
	

$maxLevelcat = 2;
if (empty($items)) {
		return;
}



$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
require JModuleHelper::getLayoutPath('mod_ejoshop_categories', $params->get('layout', 'default'));