<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */


defined('_JEXEC') or die;
$class = ' class="first"';

?>
<div class="cat-items">
<div class="categories-list">

<?php
function output_items($items,$maxLevelcat,$parent,$params) {

	if (count($items[$parent->id]) > 0 && $maxLevelcat != 0) :

	?>
	<ul>
	<?php foreach($items[$parent->id] as $id => $item) : ?>
		<?php
		if ($params->get('show_empty_categories_cat') || $item->numitems || count($item->getChildren())) :

		?>
		
		<li<?php echo $class; ?>>
		<?php $class = ''; ?>
		<?php $link = JRoute::_(EjoshopHelperRoute::getCategoryRoute($item->id));?>
			<h3><a href="<?php echo $link;?>">
					<?php echo $item->title; ?>
				</a>
			</h3>

			<?php if ($params->get('show_images',1) == 1) :?>
				<?php
						$path = JURI::root(false).$item->uri;
						$path_parts = pathinfo($path.$item->filename);
						$ext = $path_parts['extension'];
						
						$newfileimgsrc = $path.'_s.'.$ext;

						$thumb = $path.$path_parts['filename'].'_s.'.$ext;
						$imgsrc = $path.$item->filename;
				
						if(is_file(JPATH_ROOT.DS.$item->uri.$path_parts['filename'].'_s.'.$ext)) {
							print '<a rel="colorbox" href="'.$imgsrc.'"><img style="float: left;" src="'.$thumb.'"></a>';
						} else {
						
							print '<a rel="colorbox" href="'.JURI::root(false).'media/com_ejoshop/files/noimg.png">
							<img width="60" height="60" src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
				}
				endif;
			?>

					
			<?php if ($params->get('show_cat_description',1) == 1) :?>
				<div class="category-desc">
					<?php echo $item->description; ?>
			
				</div>

			<?php endif; ?>
		 
			<?php if ($params->get('show_cat_num_articles_cat',1) == 1) :?>
				<p>
				<?php echo JText::_('COM_EJOSHOP_NUM_ITEMS'); ?>: <?php echo $item->numitems; ?>
				</p>

			<?php endif; ?>
			<?php if ($params->get('show_read_more',1) == 1) :?>
				<a href="<?php echo $link;?>"><?php echo JText::_('MOD_SHOW_READ_MORE'); ?></a>
			<?php endif; ?>
			
			<?php if (count($item->getChildren()) > 0) :
	
				$items[$item->id] = $item->getChildren();
				
				$parent = $item;
				$maxLevelcat--;
				output_items($items,$maxLevelcat,$parent,$params);
				
				$parent = $item->getParent();
				$maxLevelcat++;
			endif; ?>

		</li>
		<?php endif; ?>
	<?php endforeach; ?>
	</ul>
	<?php endif;

}
output_items($items,$maxLevelcat,$parent,$params);
?>
</div>
</div>
<div style="clear:both;"></div>